Fedora Online Forum

Il forum della comunità italiana di Fedora

#1 09-07-2019 00:42:39

ElCriptado
Innamorato del forum
Registrato: 26-02-2008
Messaggi: 739

aggiornamento non si compie

Ciao a tutti.
Ho installato fedora 30 SPIN LXQT 32 bit su macchina virtuale vmware sul mac.
Alla fine mi fa un elenco di pacchetti che sono in conflitto (molti pacchetti sono linguistici), sembra anche che l'aggiornamento sia finito, ma al riavvio si comincia da capo con gli stessi aggiornamenti e con gli stessi esiti. Sia con terminale che con dnfragora. Che fare?

Ultima modifica di ElCriptado (09-07-2019 00:44:19)

Non in linea

#2 09-07-2019 09:51:58

bebo_sudo
Collaboratore
Da Trento+Trieste
Registrato: 28-02-2011
Messaggi: 1'989
Sito web

Re: aggiornamento non si compie

Ho la sfera di cristallo in lavanderia.. :-)

Ci riporti il comando che dai in dnf e l'errore che ti torna?


devzero.tk - github.com/bebosudo
Quando posti del codice, mettilo nel tag code! (senza spazi)            [ code]così[/ code]

Non in linea

#3 09-07-2019 16:34:22

andreamal
Fedora nel sangue
Da Roma
Registrato: 16-12-2009
Messaggi: 1'693

Re: aggiornamento non si compie

Nel titolo dici

ElCriptado ha scritto:

aggiornamento non si compie

mentre nel testo dici

ElCriptado ha scritto:

Ho installato fedora 30 SPIN LXQT 32 bit

forse se spieghi meglio (oltre aggiungere quanto chiesto da bebo_sudo) cosa vuoi fare ti si può aiutare.

P.S.
Non dimenticare i tag

[code] e [/code]

per gli output smile


Ciao
Andrea Malfatti

Non in linea

#4 09-07-2019 21:16:55

ElCriptado
Innamorato del forum
Registrato: 26-02-2008
Messaggi: 739

Re: aggiornamento non si compie

Errore nel controllo di transazione:
il file /usr/share/libfm-qt/translations/libfm-qt_de.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_fr.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_gl.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_id.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_it.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_ja.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_pl.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_pt.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_ru.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
il file /usr/share/libfm-qt/translations/libfm-qt_zh_CN.qm dell'installazione di libfm-qt-l10n-0.14.1-3.fc30.i686 entra in conflitto con il file del pacchetto libfm-qt-0.14.0-3.fc30.i686
Riepilogo errori ------------- 

Ah, questo non è l'output del terminale, perché non riesco a copiarlo per qualche strano motivo: è quello di dnfdragora, ma è identico.
Quando riavvio richiede sempre gli stessi aggiornamenti, sia da terminale che via dnfdragora.
Grazie.

Non in linea

#5 09-07-2019 23:35:16

bebo_sudo
Collaboratore
Da Trento+Trieste
Registrato: 28-02-2011
Messaggi: 1'989
Sito web

Re: aggiornamento non si compie

Proviamo a vedere cosa succede se rimuovessimo il pacchetto:

# dnf remove libfm-qt-0.14.0-3.fc30.i686 --assumeno

devzero.tk - github.com/bebosudo
Quando posti del codice, mettilo nel tag code! (senza spazi)            [ code]così[/ code]

Non in linea

#6 16-07-2019 17:07:45

ElCriptado
Innamorato del forum
Registrato: 26-02-2008
Messaggi: 739

Re: aggiornamento non si compie

Ciao a tutti. Ci deve essere una qualche protezione del sistema che impedisce questa modifica, tant'è che mi annulla l'operazione. Alla fine del processo appare come out "operazione annullata".
Sono riuscito a fare gli aggiornamenti solo con

 dnf upgrade --best --allowerasing 

ma non so a quale prezzo. Per ora non ho problemi...
Se secondo voi non avrò problemi metteteci pure il "risolto" ma se non ne siete sicuri lasciamo pure aperto così ragguaglio se ci sono problemi.

Ultima modifica di ElCriptado (16-07-2019 17:09:46)

Non in linea

#7 16-07-2019 21:57:25

andreamal
Fedora nel sangue
Da Roma
Registrato: 16-12-2009
Messaggi: 1'693

Re: aggiornamento non si compie

Non c'è nessun errore nel comando, il parametro --assumeno vuol dire "assumi no come risposta alla domanda: continuo l'operazione?". Serve per controllare cosa verrebbe cancellato prima di cancellare mezzo sistema operativo per errore.


Ciao
Andrea Malfatti

Non in linea

Piè di pagina